summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-03-22 00:26:18 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-03-21 13:01:23 -0500
commit7b656b5e1d9bc39432efbb68490e20d83d4f4ffe (patch)
tree1ecf17a06f5e0783be6d3e1f4adbd77a6026b725 /libraries
parentf3857c4d08751fd8da62e3baad36cb6ec79da516 (diff)
downloadslackbuilds-7b656b5e1d9bc39432efbb68490e20d83d4f4ffe.tar.gz
slackbuilds-7b656b5e1d9bc39432efbb68490e20d83d4f4ffe.tar.xz
libraries/CEGUI0.7: Added (windowing and widget library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/CEGUI0.7/CEGUI0.7.SlackBuild98
-rw-r--r--libraries/CEGUI0.7/CEGUI0.7.info10
-rw-r--r--libraries/CEGUI0.7/README18
-rw-r--r--libraries/CEGUI0.7/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/CEGUI0.7/CEGUI0.7.SlackBuild b/libraries/CEGUI0.7/CEGUI0.7.SlackBuild
new file mode 100644
index 0000000000..ad769b864a
--- /dev/null
+++ b/libraries/CEGUI0.7/CEGUI0.7.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for CEGUI0.7
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=CEGUI0.7
+SRCNAM=CEGUI
+VERSION=${VERSION:-0.7.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/CEGUI0.7/CEGUI0.7.info b/libraries/CEGUI0.7/CEGUI0.7.info
new file mode 100644
index 0000000000..c78355edfb
--- /dev/null
+++ b/libraries/CEGUI0.7/CEGUI0.7.info
@@ -0,0 +1,10 @@
+PRGNAM="CEGUI0.7"
+VERSION="0.7.9"
+HOMEPAGE="http://cegui.org.uk/download/cegui-079"
+DOWNLOAD="http://prdownloads.sourceforge.net/crayzedsgui/CEGUI-0.7.9.tar.gz"
+MD5SUM="a8b682daf82e383edc169c2e6eb2b321"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/libraries/CEGUI0.7/README b/libraries/CEGUI0.7/README
new file mode 100644
index 0000000000..1105ffa453
--- /dev/null
+++ b/libraries/CEGUI0.7/README
@@ -0,0 +1,18 @@
+CEGUI - windowing and widget library
+
+Crazy Eddie's GUI System is a free library providing windowing
+and widgets for graphics APIs / engines where such functionality
+is not natively available or is severely lacking. The library is
+object oriented, written in C++, and targeted at game developers
+who should be spending their time creating great games, not
+building GUI sub-systems!
+
+The configure script for CEGUI will detect whether or not you have
+an optional dependency installed and will enable/disable the option
+accordingly. However, you may want to specify this yourself. In
+particular, pay attention to the image codecs because you might want
+to disable the others to ensure that the one you want to use is the
+default codec.
+
+NOTE: This package conflict with CEGUI=> 0.8. Only install one of
+them, NOT both.
diff --git a/libraries/CEGUI0.7/slack-desc b/libraries/CEGUI0.7/slack-desc
new file mode 100644
index 0000000000..2433014ed5
--- /dev/null
+++ b/libraries/CEGUI0.7/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+CEGUI0.7: CEGUI0.7 (windowing and widget library)
+CEGUI0.7:
+CEGUI0.7: Crazy Eddie's GUI System is a free library providing windowing and
+CEGUI0.7: widgets for graphics APIs / engines where such functionality is not
+CEGUI0.7: natively available, or severely lacking. The library is object
+CEGUI0.7: orientated, written in C++, and targeted at games developers who
+CEGUI0.7: should be spending their time creating great games, not building GUI
+CEGUI0.7: sub-systems!
+CEGUI0.7:
+CEGUI0.7: Homepage: http://cegui.org.uk/download/cegui-079
+CEGUI0.7: